import { createStore } from "vuex";
import tableStore from "@/store/tables";
import orderItemStore from "@/store/orderItems";
import { user_User } from "@/services/openapi";

interface AppStateModel {
  user: user_User;
  groups: string[];
}
export default createStore({
  state: {
    user: {
      username: "",
      show_cold_drinks: true,
      show_hot_drinks: true,
    },
    groups: [""],
  },
  getters: {
    getUser(state: AppStateModel) {
      return state.user;
    },
    getGroups(state: AppStateModel) {
      return state.groups;
    },
    getUsername(state: AppStateModel) {
      return state.user.username;
    },
  },
  mutations: {
    setUser(state: AppStateModel, _user: user_User) {
      state.user = _user;
    },
    setGroups(state: AppStateModel, groups: string[]) {
      state.groups = groups;
    },
  },
  actions: {},
  modules: {
    tableStore,
    orderItemStore,
  },
});
